Same lookup as getMemberBountiesByID and getMemberBountiesBySlug, addressed by the playerId you assigned the member, matched against their membership in the resolved creator group.
A playerId with no matching membership in that group returns 404 CodeNotInGroup.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”Example
player_8f2c41d0Your externalRef for the member, the id you supplied when generating their code or linking their Nexus account.
Query Parameters
Section titled “Query Parameters”Example
V1StGXR8_Z5jdHi6B1LiOCreator group to use for this operation. If your key is scoped to a single program, that group is always used regardless of this value; otherwise falls back to your default group when omitted.
Page of records to return
Maximum number of records to return
Responses
Section titled “ Responses ”Bounty progress for specified member
object
ID of the creator group
Name of the creator group
Page number of response records returned
Page size used for this operation
Total number of progress records
The member’s Nexus id.
Echoes the externalRef for this member in the resolved group.
object
Whether the creator has completed this bounty. Bounties will not be considered completed until the completion limit has been reached
object
object
object
object
object
object
The bounty progress reward’s id.
The bounty reward’s name.
Your own catalog id for this reward.
Whether this reward has been completed. Becomes true the first time this endpoint successfully completes it, and does not change on later calls.
The referenceId from the first completion call. Not changed by a later call to this endpoint.
object
Unique identifier for this member’s in-game user, set when linking with their Nexus account or generating the code
A group member’s code which is used as their storefront URL and when creating transactions or referrals
object
Indicates whether or not this is the primary code for this member.
Indicates whether or not this is a code that you generated.
Indicates whether or not this is a code that you manage. Once a code that you generated has been linked to a Nexus account, it will no longer be considered managed.
Bad request
object
CodeNotInGroup: Creator group is private, and specified code is not linked to it
InvalidGroup: No creator group was found with the specified groupId
InvalidAuthCode: AuthCode provided is not valid
ExpiredAuthCode: AuchCode provided has expired
ReferralNexusNotFound: No Nexus was found to match the provided referral code
BountyNotFound: No bounty was found with the specified bountyId
CreatorNotFound: No creator found with the specified creatorId
InvalidEventCode: No event found with the specifed event code
const url = 'https://api.nexus.gg/v1/bounties/member/playerId/player_8f2c41d0?groupId=V1StGXR8_Z5jdHi6B1LiO&page=1&pageSize=100';const options = {method: 'GET', headers: {'X-SHARED-SECRET': 'nexus_pk_your_key_here'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.nexus.gg/v1/bounties/member/playerId/player_8f2c41d0?groupId=V1StGXR8_Z5jdHi6B1LiO&page=1&pageSize=100' \ --header 'X-SHARED-SECRET: nexus_pk_your_key_here'Example
{ "currentPage": 1, "currentPageSize": 100, "totalCount": 1, "memberId": "CsRKC8uD0NLtyQ0LOt8Ru", "playerId": "player_8f2c41d0", "progress": "- id: Hd6zrUid8ulc0boV5Z5ws\n completed: false\n completionCount: 1\n currentObjectiveGroupId: 4Qh1z9nS0mQY0vHqPbT3d\n currentObjectives:\n - id: T4h8O0p2aOakYG0WhBTEN\n completed: false\n count: 1\n objective:\n id: m-OWRxs8qnSSny4THjT1R\n name: Refer a player that reaches level 20\n count: 5\n condition: AND\n completedObjectives: []\n bounty:\n id: 2ixlNNFdJh-9scoXek80w\n name: Refer 5 players that reach level 20\n limit: 5\n member:\n id: CsRKC8uD0NLtyQ0LOt8Ru\n playerId: player_8f2c41d0\n name: Popcorn Frog\n codes:\n - code: popcornfrog\n isPrimary: true\n isGenerated: false\n isManaged: false"}Example
{ "code": "InvalidGroup", "message": "Bounty Not found"}